package cn.wise.sc.cement.business.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysCoupon implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 优惠券名称
     */
    private String couponName;

    /**
     * 企业表id
     */
    private Double enterpriseId;

    /**
     * 优惠金额
     */
    private BigDecimal couponMoney;

    /**
     * 使用范围
     */
    private String useScope;

    /**
     * 活动开始时间
     */
    private LocalDate startDate;

    /**
     * 活动结束时间
     */
    private LocalDate endDate;

    /**
     * 是否领取：0未领取，1已领取
     */
    private Integer isReceive;

    /**
     * 状态（0禁用，1启用）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 是否删除（0删除，1存在）
     */
    private Integer isDelete;

    /**
     * 备注
     */
    private String remark;


}
