package cn.wise.sc.cement.tcdri.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 委托单位Vo
 * @author: qh
 * @create: 2020-08-07 15:09
 **/
@Data
public class ClientVo extends BaseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 单位名
     */
    private String name;

    /**
     * 负责人
     */
    private String principal;

    /**
     * 负责人电话
     */
    private String principalPhone;

    /**
     * 所在地区:xx省xx县xx
     */
    private String region;

    /**
     * 状态 0:禁用 1:激活
     */
    private String status;

    /**
     * 项目名字
     */
    private List<String> projects;
}
