package cn.wise.sc.cement.business.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysEnterprise implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业名称
     */
    @ApiModelProperty("xxx")
    private String enterpriseName;

    /**
     * 企业成立年限
     */
    @ApiModelProperty("xxx")
    private Double years;

    /**
     * 注册资金
     */
    @ApiModelProperty("xxx")
    private BigDecimal registerCapital;

    /**
     * 经营范围
     */
    @ApiModelProperty("xxx")
    private String businessScope;

    /**
     * 经营产品或者服务
     */
    private String product;

    /**
     * 希望入驻的模块（会员、商圈、物业、出行）
     */
    private String modular;

    /**
     * 联系人姓名
     */
    private String contacts;

    /**
     * 联系人电话
     */
    private String phone;

    /**
     * 联系人邮箱
     */
    private String email;

    /**
     * 200字以内推荐理由
     */
    private String recommendReason;

    /**
     * 租户logo
     */
    private String logo;

    /**
     * 状态（0禁用，1启用）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 租户地址
     */
    private String address;

    /**
     * 是否删除（0删除，1存在）
     */
    private Integer isDelete;

    private String remark;

    /**
     * 企业app企业ID
     */
    private String coridc;


}
