package cn.wise.sc.cement.tcdri.entity;

import cn.wise.sc.cement.tcdri.model.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  人员
 * </p>
 *
 * @author ztw
 * @since 2020-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class User extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户账号
     */
    private String username;

    /**
     * 真实姓名
     */
    private String name;

    /**
     * 性别0女1男
     */
    private Boolean sex;

    /**
     * 部门id
     */
    private Integer departmentId;

    /**
     * 职务id
     */
    private Integer positionId;

    /**
     * 微信号
     */
    private String wxId;

    /**
     * 职称
     */
    private String qualifications;

    /**
     * 状态
     */
    private Boolean status;

    /**
     * 当前工作年限
     */
    private Double workYear;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 专业
     */
    private String major;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 从事本专业开始时间
     */
    private Date majorStart;

    /**
     *
     */
    private Double majorYear;
}
