package cn.wise.sc.cement.tcdri.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 项目vo
 * @author: qh
 * @create: 2020-08-07 15:41
 **/
@Data
public class ProjectVo extends BaseVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 项目名
     */
    private String name;

    /**
     * 项目编号:客户自己填的
     */
    private String code;

    /**
     * 委托单位名
     */
    private String clientName;

    /**
     * 状态
     */
    private String status;
}
